Rudiments

Public Member Functions | List of all members
cronschedule Class Reference

## Public Member Functions
void | setSchedule (const char *when)
void | setSchedule (const char *years, const char *months, const char *daysofmonth, const char *daysofweek, const char *dayparts)
bool | inSchedule (datetime *dt)
bool | inSchedule (const char *dt)

## Detailed Description

The cronschedule class provides methods for parsing a cron-style schedule string and determining whether a given date/time is in the schedule.